
/*

Seashell
(c-shell / see-shell / think of the beach cause its nice)

An integrable shell environment for developing for, visualizing, experimenting with, and understanding C/C++ programs at runtime.
Designed and Implemented by Grant T (@eternal_salmon)

See the doc.txt file for documentation on usage, functions, etc.

Type 'help' into the shell for info, type 'help cmds' for a commands list.

*/

#ifdef __cplusplus
extern "C"
{
#endif

void seashell_init(char* windowTitle, int monitorSpawn, unsigned int bgColor, int largeMode, int takeInput);
void seashell_update();
void seashell_step(char* stepTitle);
void seashell_quit();

void seashell_stepit();
void seashell_holdit();
void seashell_exitcontrol();

int seashell_decl_var(void* data, char* typeUses, char* name);
int seashell_decl_var_array(void* data, int amnt, char* typeUses, char* name);
void seashell_decl_func_simple(void* func, char* name);
int seashell_decl_func(void* func, char* argTypes, char* typeRet, char* name);
void seashell_decl_type_ints(char members, int* sizes, char* signs, char* name, int sizeTot);
void seashell_decl_type_mixed(char members, int* sizes, char* signs, char* floats, char* name, int sizeTot);

void seashell_var_amnt_set(char* var, int amnt, void* newPntr);
void seashell_print(char* string); //warning, if you loop this infinitely, it may slow things down (like std printf but worse, it has to do real rendering!)
char seashell_taking_input();
char seashell_giving_input();

#ifdef __cplusplus
}
#endif
